Subject: bug#12492: 24.2.50; Open vc-dir buffer easier and faster

From: Dmitry Gutov <[email-masked]>
Date: Sun, 23 Sep 2012 16:26:40 +0400

On 23.09.2012 15:54, Andreas Schwab wrote:
> The repository root doesn't always coincide with the subsystem root.

I see. Though personally, I'd prefer not to have uncommitted changes 
outside the subsystem I'm working on. So vc-dir buffer contents would be 
effectively the same either way.

My argument here is that selecting a different directory is a relatively 
slow operation, and having to type 'M-x vc-dir' won't slow it down much.
If the command doesn't prompt you, though, and if point (1) is in 
effect, then having a keybinding can make a bigger difference.

In addition, I can add a "pick vc directory function" variable, which 
vc-root-dir will check and try to use. Better name suggestions welcome.

Before I make an updated patch, I'd like to get an opinion from VC or 
Emacs maintainer.